Holger's Java API

## com.antelmann.image
Class Barcode4j

    java.lang.Object
      com.antelmann.image.Barcode4j

    @ThirdParty(value="org.krysalis.barcode4j")
    public class Barcode4j

extends Object

provides easy support for 2D barcodes via barcode4j

Since:
  12.03.2011, 01:20:16
Author:
  Holger Antelmann

Nested Class Summary
`static class` `Barcode4j.Type`

Constructor Summary
`Barcode4j()` uses DataMatrix code with 150 dpi
`Barcode4j(Barcode4j.Type type, int dpi)`

Method Summary
`BufferedImage` `createImage(String message)`
`int` `getDpi()`
`org.krysalis.barcode4j.BarcodeGenerator` `getGenerator()`
`Barcode4j.Type` `getType()`
`void` `setDpi(int dpi)`
`void` `setGenerator(org.krysalis.barcode4j.BarcodeGenerator generator)`
`void` `setType(Barcode4j.Type type)`
`void` `writeImage(String message, OutputStream out)` writes a png file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Barcode4j

    public Barcode4j()

  uses DataMatrix code with 150 dpi

### Barcode4j

    public Barcode4j(Barcode4j.Type type,
                     int dpi)

Method Detail

### getGenerator

    public org.krysalis.barcode4j.BarcodeGenerator getGenerator()

### setGenerator

    public void setGenerator(org.krysalis.barcode4j.BarcodeGenerator generator)

### getType

    public Barcode4j.Type getType()

### setType

    public void setType(Barcode4j.Type type)

### getDpi

    public int getDpi()

### setDpi

    public void setDpi(int dpi)

### createImage

    public BufferedImage createImage(String message)
                              throws IOException

  Throws:
    `IOException`

### writeImage

    public void writeImage(String message,
                           OutputStream out)
                    throws IOException

  writes a png file

  Throws:
    `IOException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads